Update Finance Offer
1 min
PUT
https://api.upstartcommerce.com/v1/finance-offers/{offerId}
offerIdstring<uuid>The offer id used for lookups.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
if-unmodified-sincestring<date-time><p>In the case of modifying a resource, this header is sent in the request to indicate when the resource was last pulled-support optimistic locking.
See also the "last-modified" header in the associated GET request. This value should be pulled from that header and set as the value of this request.</p>
if-matchstringThis should be set to the value of the etag header returned in the associated GET request.
bodyobjectThis represents the structure of a request to update an existing finance offer.
200<p>Success-finance offer updated.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404The requested resource was not found in the NoChannel system.
409The copy of the resource you are modifying has been changed on the server. This request has not been processed to prevent data loss.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/finance-offers/{offerId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--header 'if-unmodified-since: 2017-07-21T17:32:28Z' \
--header 'if-match: c8e2f90c27be55855f094477e24d6650' \
--data '{
"currency": "USD",
"description": "In accepting this offer you receive 6 months interest free when you spend over $1,000. After 6 months....",
"downPayment": {
"amount": 500
},
"enabled": "",
"financeOfferType": "",
"internalName": "6mos Free interest +$1000",
"minimumPurchaseAmount": 1000,
"name": "Get 6 months free interest when you finance $1000 or more",
"promotionalPeriodMonths": 12,
"provider": "",
"providerFinanceOfferId": "",
"sortOrder": 1,
"tiers": [],
"promotionalFee": 0
}'